API Documentation | All Packages | All Classes | Index | Frames No Frames |
Base64

Package | org.alivepdf.encoding
Class | public class Base64
Inheritance | Base64 Object

Public Methods

| Method | Defined By
--- | --- | ---
|  | decode64(pString:String):ByteArray [static] | Base64
|  | encode64(pByteArray:ByteArray, pLineBreak:Boolean = true):String [static] | Base64
|  | encode64String(pString:String):String [static] | Base64

Method Detail

decode64 | () | method

`public static function decode64(pString:String):ByteArray`

Parameters

| `pString:String`

Returns

| `ByteArray`

encode64 | () | method |

`public static function encode64(pByteArray:ByteArray, pLineBreak:Boolean = true):String`

Parameters

| `pByteArray:ByteArray`
| `pLineBreak:Boolean` (default = `true`)``

Returns

| `String`

encode64String | () | method |

`public static function encode64String(pString:String):String`

Parameters

| `pString:String`

Returns

| `String`

Mon Oct 17 2011, 09:13 PM -04:00